*  Program...........: STRIPPAT.PRG
*  Author............: yag
*  Project...........: COMMON
*  Created...........: 12/09/92
*  Copyright.........: (c) Flash Creative Management, 1992
*) Description.......: Strip the path from a file name. Find positions of 
*)                   : backslash in the name of the file.  If there is one 
*)                   : take everything to the right of its position 
*)                   : and make it the new file name.  If there
*)                   : is no slash look for colon.  Again if found, take 
*)                   : everything to the right of it as the new name.  
*)                   : If neither slash nor colon are found then 
*)                   : return the name unchanged.
*  Calling Samples...: strippat(lcFileName)
*  Parameter List....: tcfilename - character string representing a file name
*  Major change list.: 

FUNCTION strippat
PARAMETER m.tcFileName
PRIVATE m.lnSlashPos, m.lnNameLen, m.lnColonPos
	m.lnSlashPos = RAT("\", m.tcFileName)
	IF m.lnSlashPos <> 0
		m.lnNameLen  = LEN(m.tcFileName) - m.lnSlashPos
		m.tcFileName = RIGHT(m.tcFileName, m.lnNameLen)
	ELSE
		m.lnColonPos = RAT(":", m.tcFileName)
		IF m.lnColonPos <> 0
			m.lnNameLen  = LEN(m.tcFileName) - m.lnColonPos
			m.tcFileName = RIGHT(m.tcFileName, m.lnNameLen)
		ENDIF
	ENDIF
RETURN m.tcFileName

